Bug 210388 - New port: x11/qterminal
Summary: New port: x11/qterminal
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Olivier Duchateau
URL:
Keywords:
Depends on: 210387
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-19 14:06 UTC by jsmith
Modified: 2016-08-23 15:20 UTC (History)
2 users (show)

See Also:


Attachments
Shar file containing the new qterminal port (2.00 KB, text/plain)
2016-06-19 14:06 UTC, jsmith
no flags Details
Shar archive (3.49 KB, text/plain)
2016-07-15 21:43 UTC, Jason W. Bacon
jwb: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jsmith 2016-06-19 14:06:39 UTC
Created attachment 171572 [details]
Shar file containing the new qterminal port

Please find attached a new port for the Qterminal software. Qterminal is a Qt-based minimal terminal emulator. It functions in a similar manner to Konsole, but without the KDE-specific dependencies.
The upstream website is: https://github.com/lxde/qtermwidget

This port relies on another recently submitted port. See bug report 210387 - https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=210387
Comment 1 Olivier Duchateau freebsd_committer 2016-06-21 05:01:38 UTC
This port is already in LXQt ports collection [1]

[1] https://wiki.freebsd.org/LXQt
Comment 2 Jason W. Bacon freebsd_committer 2016-07-15 21:43:42 UTC
Created attachment 172567 [details]
Shar archive

Someone actually submitted my unfinished port from https://github.com/outpaddling/freebsd-ports-wip, with me listed as the maintainer.  I was not asked or informed about this.  Fortunately, I did a PR search before submitting a duplicate.

The new shar attached should supersede the original.

portlint: OK (looks fine.)
testport: OK (poudriere: 9.3, 10.1 / amd64, i386

P.S.

I'm aware of the LXQt ports collection and will be happy to turn over maintainership if/when that collection is committed.  For now, I want to get qterminal packaged ASAP for use with Lumina on FreeBSD and PC-BSD.
Comment 3 commit-hook freebsd_committer 2016-08-23 15:18:31 UTC
A commit references this bug:

Author: olivierd
Date: Tue Aug 23 15:18:27 UTC 2016
New revision: 420698
URL: https://svnweb.freebsd.org/changeset/ports/420698

Log:
  Lightweight Qt-based terminal emulator.

  WWW: https://github.com/lxde/qtermwidget

  PR:		210388
  Submitted by:	Jason Bacon

Changes:
  head/x11/Makefile
  head/x11/qterminal/
  head/x11/qterminal/Makefile
  head/x11/qterminal/distinfo
  head/x11/qterminal/files/
  head/x11/qterminal/files/patch-src_config.h
  head/x11/qterminal/files/patch-src_forms_qterminal.ui
  head/x11/qterminal/pkg-descr
  head/x11/qterminal/pkg-plist
Comment 4 Olivier Duchateau freebsd_committer 2016-08-23 15:20:46 UTC
Committed with minor changes, thanks!